function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Water1.ogg",-1)
	SetMarker("Isis\\Warp_0002.wp",0,0)
	if CanCross_is_004 then
		SetMarker("Isis\\Warp_0006.wp",0,0)
	end
	
	if not BeenIn_is_008 then
		if not BeenIn_is_004 then
			StartAnimationPart("I2I1",0,90,1,true)
		else
			StartAnimationPart("I2I1",60,90,-1,true)
		end
		SetMarker("I2I1",4,0)
	end
	
	if not BeenIn_is_004 then
		LookAt(354,003)
		BeenIn_is_004=true
	end

	if not CanCross_is_004 then
		AnimationSetToStart("NEI1",true)
		SetMarker("NEI1",4,0)
	else
		AnimationSetToEnd("NEI1")
		SetMarker("NEI1",-1,0)
	end

end
function OnMovieFinished(id)
	ChangeWarp("3D\\Isis\\Warp_0006.wp")
end

function OnWarpLeave()
end

function OnAnimationFinished(objectName)
	if objectName=="I2I1" then
		StartAnimationPart("I2I1",60,90,-1,true)
	end	
	if objectName=="NEI1" then
		AnimationSetToEnd("NEI1")
		CanCross_is_004=true
		DrawText("MAIA0739","MAIA0739.ogg")
	end	
end

function OnDialogFinished(dialogName)
	if dialogName=="ISIS0718" or dialogName=="ISIS0791" or dialogName=="ISIS0728"  then
		AskSeparation()
	end
end

function AskSeparation()
        PushAnswer("MAIA0717")
        PushAnswer("MAIA0788")
	PushAnswer("MAIA0727")
        PushAnswer("MAIA0757")
end

function OnAnswered(textId)

	if textId == "MAIA0717" then
		DrawText("MAIA0717","MAIA0717.ogg")
		DrawText("ISIS0718","ISIS0718.ogg")	

	elseif textId == "MAIA0788" then
		DrawText("MAIA0788","MAIA0788.ogg")
		DrawText("ISIS0789","ISIS0789.ogg")
		DrawText("MAIA0790","MAIA0790.ogg")
		DrawText("ISIS0791","ISIS0791.ogg")
		

	elseif textId == "MAIA0727" then
		DrawText("MAIA0727","MAIA0727.ogg")
		DrawText("ISIS0728","ISIS0728.ogg")
		

	elseif textId == "MAIA0757" then
		DrawText("MAIA0757","MAIA0757.ogg")

	end
end

function OnWarpObjectHit(objectName)
	if objectName == "g1I1" then

------------------------------------------------------------
	elseif objectName == "g2I1" then

------------------------------------------------------------
	elseif objectName == "n1I1" then

------------------------------------------------------------
	elseif objectName == "n2I1" then

------------------------------------------------------------
	elseif objectName == "s1I1" then

------------------------------------------------------------
	elseif objectName == "s2I1" then

------------------------------------------------------------
	elseif objectName == "I2I1" then

		AskSeparation()

------------------------------------------------------------
	elseif objectName == "NEI1" then
		if Selected("J_graine_nenuphare") and not CanCross_is_004 then
			StartAnimationPart("NEI1",0,60,1,true)
			RemoveFromBag()
			SetMarker("NEI1",-1,0)
			SetMarker("Isis\\Warp_0006.wp",0,0)
		elseif not CanCross_is_004 then
			DrawText("MAIA0722","MAIA0722.ogg")
		end
------------------------------------------------------------
	elseif objectName == "WAi1" then

------------------------------------------------------------
	elseif objectName == "l1I1" then
	end
	if objectName=="3D\\Isis\\Warp_0002.wp" then
		ChangeWarp(objectName)
	end
	if objectName=="3D\\Isis\\Warp_0006.wp" and CanCross_is_004 then
		PlayMovie("Videos/GC_C02_Montage.ogv", "Videos/cine02.ogg")
		
	end
end
